Bug 106370 - Android: add ability to insert pictures
Summary: Android: add ability to insert pictures
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-06 20:15 UTC by Tomaz Vajngerl
Modified: 2018-01-20 07:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2017-03-06 20:15:07 UTC
Description:
Currently it is not possible to insert pictures. This task requires to open the associated application to get the picture and when getting back to insert the picture into the document. 

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Xisco Faulí 2017-10-05 08:22:45 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/41150/
Comment 2 Commit Notification 2017-11-16 05:32:29 UTC
Ximeng Zu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d977511e3ab755da65d34a0bd618ef3c9db90c7

tdf#106370 Android: add ability to insert pictures

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-12-18 09:10:14 UTC
A polite ping to Ximeng Zu: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 4 Xisco Faulí 2018-01-18 10:26:46 UTC
(In reply to Xisco Faulí from comment #3)
> A polite ping to Ximeng Zu: is this bug fixed? if so, could you
> please close it as RESOLVED FIXED ? Thanks

Hi Ximeng, is this issue fixed ?
Comment 5 Tomaz Vajngerl 2018-01-20 07:54:46 UTC
There are issues in Writer regarding inserting of images, so it is not completely solved yet. Maybe we should close this bug and open a new one which is more specific? It shouldn't be the problem of inserting images itself but rather an Android specific issue which boils down that something Android build doesn't enable or include (reason is that LO Online works fine using the same UNO commands). So I would say it is solved, just another issue is preventing it to be completely fully functional...